> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/observability/logging-service/api-how-tos/activate-central-logging.md).

# Activate Central Logging for a Contract

{% hint style="info" %}
**Central Logging** is a prerequisite for letting integrated IONOS CLOUD products forward logs to Logging Service on your behalf. Activating it on your contract gives you region-level control over log ingestion. Activate Central Logging from the [<mark style="color:blue;">DCD</mark>](/cloud/observability/logging-service/dcd-how-tos/central-logging.md) or the [<mark style="color:blue;">Logging API</mark>](/cloud/observability/logging-service/api-how-tos/activate-central-logging.md). To find out which products integrate with Central Logging, contact your account manager or IONOS CLOUD Support.
{% endhint %}

Central Logging affects your experience and billing, so activate it on your contract before any product can ingest logs on your behalf. Activation is regional. Activate Central Logging by sending a PUT request to the regional Logging API endpoint, or let an integrated product activate it for you.

## Request

Replace `<region>` with one of the following region codes: `de-txl` (Berlin), `de-fra` (Frankfurt), `gb-lhr` (London), `gb-bhx` (Worcester), `fr-par` (Paris), `es-vit` (Logroño), `us-mci` (Lenexa), `us-las` (Las Vegas), `us-ewr` (Newark).

{% tabs %}
{% tab title="Activate" %}

```bash
curl --request PUT \
  --url 'https://logging.<region>.ionos.com/central' \
  --header 'Authorization: Bearer $IONOS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "properties": {
      "enabled": true
    }
  }'
```

{% endtab %}

{% tab title="Deactivate" %}

```bash
curl --request PUT \
  --url 'https://logging.<region>.ionos.com/central' \
  --header 'Authorization: Bearer $IONOS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "properties": {
      "enabled": false
    }
  }'
```

{% endtab %}
{% endtabs %}

## Response

```json
{
  "id": "23e6183d-6ab3-54de-b165-9b44c3589f4f",
  "type": "centrallogging",
  "href": "/central/23e6183d-6ab3-54de-b165-9b44c3589f4f",
  "metadata": {
    "createdDate": "2026-02-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2026-02-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "grafanaEndpoint": "https://grafana.logging.de-txl.ionos.com",
    "products": [
      "postgresql"
    ]
  },
  "properties": {
    "enabled": true
  }
}
```

The response returns a resource that includes the `grafanaEndpoint` URL for the region and `enabled: true`. Use the `grafanaEndpoint` URL to view logs forwarded by integrated products. Activate Central Logging in every region where your products run.

For the full schema, see the [<mark style="color:blue;">Logging API v1 documentation</mark>](https://api.ionos.com/docs/logging/v1/#tag/Central).

{% hint style="info" %}
**Note:** Central Logging can also be activated through the DCD. For more information, see [<mark style="color:blue;">Central Logging</mark>](/cloud/observability/logging-service/dcd-how-tos/central-logging.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/observability/logging-service/api-how-tos/activate-central-logging.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
